Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1484397 - OpenCV 3.3.1 is avaliable
Summary: OpenCV 3.3.1 is avaliable
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: opencv
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Nicolas Chauvet (kwizart)
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
: 1508240 1510231 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-08-23 12:47 UTC by Sergio Monteiro Basto
Modified: 2017-12-23 19:39 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-12-23 19:39:59 UTC


Attachments (Terms of Use)
opencv.spec.patch (deleted)
2017-08-30 10:50 UTC, Sergio Monteiro Basto
no flags Details | Diff
opencv.spec.v2.patch (deleted)
2017-09-01 14:40 UTC, Sergio Monteiro Basto
no flags Details | Diff
opencv.spec.v3.patch (deleted)
2017-09-04 12:38 UTC, Sergio Monteiro Basto
no flags Details | Diff
0001-Update-opencv-to-3.3.0.patch (deleted)
2017-10-05 17:41 UTC, Sergio Monteiro Basto
no flags Details | Diff
0001-Update-to-3.3.1.patch (deleted)
2017-11-15 10:13 UTC, Sergio Monteiro Basto
no flags Details | Diff

Description Sergio Monteiro Basto 2017-08-23 12:47:11 UTC
Description of problem:
OpenCV 3.3.0 is avaliable

Comment 1 Sergio Monteiro Basto 2017-08-30 10:50:35 UTC
Created attachment 1320011 [details]
opencv.spec.patch

rm -rf 3rdparty/ breaks the build of 3.3.0 , that is why I had submit it , to let you review first .

gdcm have updates [1] , don't know if without update still works [1].

[1]
https://bugzilla.redhat.com/show_bug.cgi?id=1382952 

Also got a patch for opencl-headers which let build Eigen in ppc64le [2] 

[2] 
https://github.com/KhronosGroup/OpenCL-Headers/pull/20

Comment 2 Josef Ridky 2017-08-31 06:35:04 UTC
Be careful with 3dparty folder, due some of libraries don't have to meet license criteria for Fedora distribution or license of opencv package would have to be modified. 

I suggest to upgrade opencv package for fedora 27+ only.

Comment 3 Sergio Monteiro Basto 2017-09-01 14:40:45 UTC
Created attachment 1320988 [details]
opencv.spec.v2.patch

OK , could manage the way to remove 3rdparty/ ... 
may I commit this patch for F28 ?

Comment 4 Josef Ridky 2017-09-04 07:09:53 UTC
Add to this rebase even fix for bz#1487816 (in case its not applied already) and keep directory remove command with force option.

Comment 5 Sergio Monteiro Basto 2017-09-04 12:38:05 UTC
Created attachment 1321829 [details]
opencv.spec.v3.patch

OK , here it is the patch rebased.
who and how announce ? I think we should just build for rawhide after all dependencies rebuild we may move to F27 . 

Cheers.

Comment 6 Sergio Monteiro Basto 2017-10-05 17:41:21 UTC
Created attachment 1334924 [details]
0001-Update-opencv-to-3.3.0.patch

Patch rebased , I opened an issue upstream to see they provide all security patches [1] ... 


[1]
https://github.com/opencv/opencv/issues/9780

Comment 7 Sergio Monteiro Basto 2017-11-01 16:59:21 UTC
*** Bug 1508240 has been marked as a duplicate of this bug. ***

Comment 8 Sergio Monteiro Basto 2017-11-01 17:04:20 UTC
OK, upstream closed my issue [1] and seems all security fixes are available in 3.3.1, I'm ready to begin build on rawhide. 
Any suggestions ? 

[1]
https://github.com/opencv/opencv/issues/9780

Comment 9 Sergio Monteiro Basto 2017-11-05 23:08:14 UTC
I will start building it in rawhide if no one reply until tommorow.

Comment 10 Sergio Monteiro Basto 2017-11-14 12:26:56 UTC
*** Bug 1510231 has been marked as a duplicate of this bug. ***

Comment 11 Sergio Monteiro Basto 2017-11-15 10:13:59 UTC
Created attachment 1352496 [details]
0001-Update-to-3.3.1.patch


Note You need to log in before you can comment on or make changes to this bug.